Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab
Class QueryListModel

    java.lang.Object
      javax.swing.AbstractListModel
          edu.stanford.smi.protegex.queries_tab.QueryListModel

All Implemented Interfaces:
  Serializable, ListModel

    public class QueryListModel

extends AbstractListModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`QueryListModel()`
`QueryListModel(Vector v)`

Method Summary
`int` | `addRow(Object obj)`
`void` | `deleteRow(int row)`
`Object` | `getElementAt(int index)`
`int` | `getPosition(InstancesQuery query)`
`Collection` | `getQueries()`
`InstancesQuery` | `getQuery(InstancesQuery query)`
`InstancesQuery` | `getQueryAt(int index)`
`InstancesQuery` | `getQueryWithName(String name)`
`int` | `getSize()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryListModel

    public QueryListModel()

### QueryListModel

    public QueryListModel(Vector v)

Method Detail

### addRow

    public int addRow(Object obj)

### deleteRow

    public void deleteRow(int row)

### getElementAt

    public Object getElementAt(int index)

### getPosition

    public int getPosition(InstancesQuery query)

### getQueries

    public Collection getQueries()

### getQuery

    public InstancesQuery getQuery(InstancesQuery query)

### getQueryAt

    public InstancesQuery getQueryAt(int index)

### getQueryWithName

    public InstancesQuery getQueryWithName(String name)

### getSize

    public int getSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request